// juuui.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <tuple>
#include <algorithm>
#include <iomanip>
#include <cstdio>
using namespace std;
int main()
{

	vector<tuple<double,double>>niz;
	long long int n;
	cin >> n;
	double broj;
	double broj2;
	for (int i = 0; i < n; i++) {

		scanf("%f%f", broj, broj2);
		
		niz.push_back(make_tuple(broj2,broj));
	}
	sort(niz.begin(), niz.end());
	double zbir = 0;
	double kvazizbir = 0;
	double maks = 0;
	for (int i = niz.size() - 1; i >= 0; i--) 
	{
		kvazizbir += get<1>(niz[i]);
		zbir = kvazizbir * get<0>(niz[i]) / 100.0;
		if (zbir > maks) {
		
			maks = zbir;
		}
	}
	
	cout << setprecision(20) << maks;

}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file